Index: svn/src/northbridge/amd/gx2/northbridgeinit.c
===================================================================
--- svn.orig/src/northbridge/amd/gx2/northbridgeinit.c
+++ svn/src/northbridge/amd/gx2/northbridgeinit.c
@@ -112,10 +112,10 @@ writeglmsr(struct gliutable *gl){
 	msr.lo = gl->lo;
 	msr.hi = gl->hi;
 	wrmsr(gl->desc_name, msr);	// MSR - see table above
-	printk_debug("%s: write msr 0x%08x, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
+	printk_debug("%s: write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
 	/* they do this, so we do this */
 	msr = rdmsr(gl->desc_name);
-	printk_debug("%s: AFTER write msr 0x%08x, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
+	printk_debug("%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
 }
 
 static void
@@ -164,7 +164,7 @@ SysmemInit(struct gliutable *gl)
 	msr.lo = sizebytes;
 	wrmsr(gl->desc_name, msr);	// MSR - see table above
 	msr = rdmsr(gl->desc_name);
-	printk_debug("%s: AFTER write msr 0x%08x, val 0x%08x:0x%08x\n", __func__, 
+	printk_debug("%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__,
 				gl->desc_name, msr.hi, msr.lo);
 	
 }
@@ -181,7 +181,7 @@ DMMGL0Init(struct gliutable *gl) {
 
 	sizebytes -= DMM_SIZE*1024;
 	offset = sizebytes - DMM_OFFSET;
-	printk_debug("%s: offset is 0x%08x\n", __func__, offset);
+	printk_debug("%s: offset is 0x%08lx\n", __func__, offset);
 	offset >>= 12;
 	msr.hi = (gl->hi) | (offset << 8);
 	/* I don't think this is needed */
@@ -192,7 +192,7 @@ DMMGL0Init(struct gliutable *gl) {
 	
 	wrmsr(gl->desc_name, msr);	// MSR - See table above
 	msr = rdmsr(gl->desc_name);
-	printk_debug("%s: AFTER write msr 0x%08x, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
+	printk_debug("%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
 	
 }
 static void
@@ -215,7 +215,7 @@ DMMGL1Init(struct gliutable *gl) {
 	
 	wrmsr(gl->desc_name, msr);	// MSR - See table above
 	msr = rdmsr(gl->desc_name);
-	printk_debug("%s: AFTER write msr 0x%08x, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
+	printk_debug("%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
 }
 static void
 SMMGL0Init(struct gliutable *gl) {
@@ -231,7 +231,7 @@ SMMGL0Init(struct gliutable *gl) {
 	printk_debug("%s: %d bytes\n", __func__, sizebytes);
 
 	offset = sizebytes - SMM_OFFSET;
-	printk_debug("%s: offset is 0x%08x\n", __func__, offset);
+	printk_debug("%s: offset is 0x%08lx\n", __func__, offset);
 	offset >>= 12;
 
 	msr.hi = offset << 8;
@@ -242,7 +242,7 @@ SMMGL0Init(struct gliutable *gl) {
 	
 	wrmsr(gl->desc_name, msr);	// MSR - See table above
 	msr = rdmsr(gl->desc_name);
-	printk_debug("%s: AFTER write msr 0x%08x, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
+	printk_debug("%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
 }
 static void
 SMMGL1Init(struct gliutable *gl) {
@@ -258,7 +258,7 @@ SMMGL1Init(struct gliutable *gl) {
 	
 	wrmsr(gl->desc_name, msr);	// MSR - See table above
 	msr = rdmsr(gl->desc_name);
-	printk_debug("%s: AFTER write msr 0x%08x, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
+	printk_debug("%s: AFTER write msr 0x%08lx, val 0x%08x:0x%08x\n", __func__, gl->desc_name, msr.hi, msr.lo);
 }
 
 static void
@@ -507,10 +507,10 @@ performance:
 
 	for(i = 0; gating->msrnum != 0xffffffff; i++) {
 		msr = rdmsr(gating->msrnum);
-		printk_debug("%s: MSR 0x%08x is 0x%08x:0x%08x\n", __func__, gating->msrnum, msr.hi, msr.lo);
+		printk_debug("%s: MSR 0x%08lx is 0x%08x:0x%08x\n", __func__, gating->msrnum, msr.hi, msr.lo);
 		msr.hi |= gating->msr.hi;
 		msr.lo |= gating->msr.lo;
-		printk_debug("%s: MSR 0x%08x will be set to  0x%08x:0x%08x\n", __func__, 
+		printk_debug("%s: MSR 0x%08lx will be set to  0x%08x:0x%08x\n", __func__,
 			gating->msrnum, msr.hi, msr.lo);
 		wrmsr(gating->msrnum, msr);	// MSR - See the table above
 		gating +=1;
@@ -526,11 +526,11 @@ GeodeLinkPriority(void){
 
 	for(i = 0; prio->msrnum != 0xffffffff; i++) {
 		msr = rdmsr(prio->msrnum);
-		printk_debug("%s: MSR 0x%08x is 0x%08x:0x%08x\n", __func__, prio->msrnum, msr.hi, msr.lo);
+		printk_debug("%s: MSR 0x%08lx is 0x%08x:0x%08x\n", __func__, prio->msrnum, msr.hi, msr.lo);
 		msr.hi |= prio->msr.hi;
 		msr.lo &= ~0xfff;
 		msr.lo |= prio->msr.lo;
-		printk_debug("%s: MSR 0x%08x will be set to 0x%08x:0x%08x\n", __func__, 
+		printk_debug("%s: MSR 0x%08lx will be set to 0x%08x:0x%08x\n", __func__,
 			prio->msrnum, msr.hi, msr.lo);
 		wrmsr(prio->msrnum, msr);	// MSR - See the table above
 		prio +=1;
Index: svn/src/northbridge/amd/lx/northbridge.c
===================================================================
--- svn.orig/src/northbridge/amd/lx/northbridge.c
+++ svn/src/northbridge/amd/lx/northbridge.c
@@ -342,7 +342,7 @@ void northbridge_set_resources(struct de
 		if (bus->children) {
 			printk_debug
 			    ("my_dev_set_resources: assign_resources %d\n",
-			     bus);
+			     bus->secondary);
 			assign_resources(bus);
 		}
 	}
Index: svn/src/northbridge/intel/i82810/northbridge.c
===================================================================
--- svn.orig/src/northbridge/intel/i82810/northbridge.c
+++ svn/src/northbridge/intel/i82810/northbridge.c
@@ -142,7 +142,7 @@ static void pci_domain_set_resources(dev
 		drp_value = drp_value >> 4;	// >>= 4; //? mess with later
 		tomk += (unsigned long)(translate_i82810_to_mb[drp_value]);
 
-		printk_debug("Setting RAM size to %d MB\n", tomk);
+		printk_debug("Setting RAM size to %ld MB\n", tomk);
 
 		/* Convert tomk from MB to KB. */
 		tomk = tomk << 10;
Index: svn/src/northbridge/intel/i855/northbridge.c
===================================================================
--- svn.orig/src/northbridge/intel/i855/northbridge.c
+++ svn/src/northbridge/intel/i855/northbridge.c
@@ -29,6 +29,7 @@
 #include <string.h>
 #include <bitops.h>
 #include <cpu/x86/cache.h>
+#include <cpu/cpu.h>
 #include "chip.h"
 
 static void ram_resource(device_t dev, unsigned long index,
@@ -95,9 +96,7 @@ static void pci_domain_set_resources(dev
 		 * too confusing to get right.  Kilobytes are good up to
 		 * 4 Terabytes of RAM...
 		 */
-		uint16_t tolm_r, vga_mem;
 		unsigned long tomk, tolmk;
-		unsigned long remapbasek, remaplimitk;
 		int idx;
 
 		/* Get the value of the highest DRB. This tells the end of
@@ -120,8 +119,8 @@ static void pci_domain_set_resources(dev
 		 */
 		 
 		/* Report the memory regions */
-		printk_debug("tomk = %d\n", tomk);
-		printk_debug("tolmk = %d\n", tolmk);
+		printk_debug("tomk = %ld\n", tomk);
+		printk_debug("tolmk = %ld\n", tolmk);
 
 		idx = 10;
 		/* avoid pam region */
@@ -165,8 +164,6 @@ static struct device_operations cpu_bus_
 
 static void enable_dev(struct device *dev)
 {
-        struct device_path path;
-
         /* Set the operations if it is a special bus type */
         if (dev->path.type == DEVICE_PATH_PCI_DOMAIN) {
                 dev->ops = &pci_domain_ops;
Index: svn/src/northbridge/via/cn400/northbridge.c
===================================================================
--- svn.orig/src/northbridge/via/cn400/northbridge.c
+++ svn/src/northbridge/via/cn400/northbridge.c
@@ -244,7 +244,7 @@ static void cn400_domain_set_resources(d
 		tomk = rambits * 32 * 1024;
 		/* Compute the Top Of Low Memory (TOLM), in Kb. */
 		tolmk = pci_tolm >> 10;
-		printk_spew("tomk is 0x%x, tolmk is 0x%08X\n", tomk, tolmk);
+		printk_spew("tomk is 0x%lx, tolmk is 0x%08lX\n", tomk, tolmk);
 		if (tolmk >= tomk) {
 			/* The PCI hole does does not overlap the memory. */
 			tolmk = tomk;
Index: svn/src/northbridge/via/cn400/vgabios.c
===================================================================
--- svn.orig/src/northbridge/via/cn400/vgabios.c
+++ svn/src/northbridge/via/cn400/vgabios.c
@@ -371,7 +371,7 @@ void do_vgabios(void)
 		buf = (unsigned char *) 0xc0000;
 		if (buf[0]==0x55 && buf[1]==0xAA) {
 			busdevfn = (dev->bus->secondary << 8) | dev->path.pci.devfn;
-			printk_debug("bus/devfn = %#x\n", busdevfn);
+			printk_debug("bus/devfn = %#lx\n", busdevfn);
 
 		    	real_mode_switch_call_vga(busdevfn);
 		} else
@@ -567,14 +567,14 @@ int biosint(unsigned long intnumber,
 		      eax, ebx, ecx, edx);
 	printk_debug("biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
 		     ebp, esp, edi, esi);
-	printk_debug("biosint:  ip 0x%x   cs 0x%x  flags 0x%x\n",
+	printk_debug("biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
 		     ip, cs, flags);
 
 	// cases in a good compiler are just as good as your own tables. 
 	switch (intnumber) {
 	case 0 ... 15:
 		// These are not BIOS service, but the CPU-generated exceptions
-		printk_info("biosint: Oops, exception %u\n", intnumber);
+		printk_info("biosint: Oops, exception %lu\n", intnumber);
 		if (esp < 0x1000) {
 			printk_debug("Stack contents: ");
 			while (esp < 0x1000) {
@@ -602,8 +602,7 @@ int biosint(unsigned long intnumber,
 				&ebx, &edx, &ecx, &eax, &flags);
 		break;
 	default:
-		printk_info("BIOSINT: Unsupport int #0x%x\n", 
-			    intnumber);
+		printk_info("BIOSINT: Unsupport int #0x%lx\n", intnumber);
 		break;
 	}
 	if (ret)
Index: svn/src/northbridge/via/cn700/northbridge.c
===================================================================
--- svn.orig/src/northbridge/via/cn700/northbridge.c
+++ svn/src/northbridge/via/cn700/northbridge.c
@@ -177,7 +177,7 @@ static void pci_domain_set_resources(dev
 		}
 
 		tomk = rambits * 64 * 1024;
-		printk_spew("tomk is 0x%x\n", tomk);
+		printk_spew("tomk is 0x%lx\n", tomk);
 		/* Compute the Top Of Low Memory (TOLM), in Kb. */
 		tolmk = pci_tolm >> 10;
 		if (tolmk >= tomk) {
Index: svn/src/northbridge/via/cn700/vgabios.c
===================================================================
--- svn.orig/src/northbridge/via/cn700/vgabios.c
+++ svn/src/northbridge/via/cn700/vgabios.c
@@ -371,7 +371,7 @@ void do_vgabios(void)
 		buf = (unsigned char *) 0xc0000;
 		if (buf[0]==0x55 && buf[1]==0xAA) {
 			busdevfn = (dev->bus->secondary << 8) | dev->path.pci.devfn;
-			printk_debug("bus/devfn = %#x\n", busdevfn);
+			printk_debug("bus/devfn = %#lx\n", busdevfn);
 
 		    	real_mode_switch_call_vga(busdevfn);
 		} else
@@ -567,14 +567,14 @@ int biosint(unsigned long intnumber,
 		      eax, ebx, ecx, edx);
 	printk_debug("biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
 		     ebp, esp, edi, esi);
-	printk_debug("biosint:  ip 0x%x   cs 0x%x  flags 0x%x\n",
+	printk_debug("biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
 		     ip, cs, flags);
 
 	// cases in a good compiler are just as good as your own tables. 
 	switch (intnumber) {
 	case 0 ... 15:
 		// These are not BIOS service, but the CPU-generated exceptions
-		printk_info("biosint: Oops, exception %u\n", intnumber);
+		printk_info("biosint: Oops, exception %lu\n", intnumber);
 		if (esp < 0x1000) {
 			printk_debug("Stack contents: ");
 			while (esp < 0x1000) {
@@ -602,8 +602,7 @@ int biosint(unsigned long intnumber,
 				&ebx, &edx, &ecx, &eax, &flags);
 		break;
 	default:
-		printk_info("BIOSINT: Unsupport int #0x%x\n", 
-			    intnumber);
+		printk_info("BIOSINT: Unsupport int #0x%lx\n", intnumber);
 		break;
 	}
 	if (ret)
Index: svn/src/northbridge/via/cx700/vgabios.c
===================================================================
--- svn.orig/src/northbridge/via/cx700/vgabios.c
+++ svn/src/northbridge/via/cx700/vgabios.c
@@ -339,7 +339,7 @@ void do_vgabios(void)
 		if (buf[0] == 0x55 && buf[1] == 0xAA) {
 			busdevfn =
 			    (dev->bus->secondary << 8) | dev->path.pci.devfn;
-			printk_debug("bus/devfn = %#x\n", busdevfn);
+			printk_debug("bus/devfn = %#lx\n", busdevfn);
 
 			real_mode_switch_call_vga(busdevfn);
 		} else
@@ -517,14 +517,14 @@ int biosint(unsigned long intnumber,
 		     eax, ebx, ecx, edx);
 	printk_debug("biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
 		     ebp, esp, edi, esi);
-	printk_debug("biosint:  ip 0x%x   cs 0x%x  flags 0x%x\n",
+	printk_debug("biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
 		     ip, cs, flags);
 
 	// cases in a good compiler are just as good as your own tables. 
 	switch (intnumber) {
 	case 0 ... 15:
 		// These are not BIOS service, but the CPU-generated exceptions
-		printk_info("biosint: Oops, exception %u\n", intnumber);
+		printk_info("biosint: Oops, exception %lu\n", intnumber);
 		if (esp < 0x1000) {
 			printk_debug("Stack contents: ");
 			while (esp < 0x1000) {
@@ -552,7 +552,7 @@ int biosint(unsigned long intnumber,
 				  &ebx, &edx, &ecx, &eax, &flags);
 		break;
 	default:
-		printk_info("BIOSINT: Unsupport int #0x%x\n", intnumber);
+		printk_info("BIOSINT: Unsupport int #0x%lx\n", intnumber);
 		break;
 	}
 	if (ret)
Index: svn/src/northbridge/via/vt8623/northbridge.c
===================================================================
--- svn.orig/src/northbridge/via/vt8623/northbridge.c
+++ svn/src/northbridge/via/vt8623/northbridge.c
@@ -48,7 +48,7 @@ static void northbridge_init(device_t de
 		 */
 		//fb = pci_read_config32(dev, 0x10);       /* Base addres of framebuffer */
 		fb = 0xd0000000;
-		printk_debug("Frame buffer at %8x\n",fb);
+		printk_debug("Frame buffer at %8lx\n",fb);
 
 		c = pci_read_config8(dev, 0xe1) & 0xf0;  /* size of vga */
 		c |= fb>>28;  /* upper nibble of frame buffer address */
Index: svn/src/northbridge/via/vx800/northbridge.c
===================================================================
--- svn.orig/src/northbridge/via/vx800/northbridge.c
+++ svn/src/northbridge/via/vx800/northbridge.c
@@ -162,7 +162,7 @@ if register with invalid value we set fr
 			    (((rambits << 6) - (4 << reg) -
 			      VIACONFIG_TOP_SM_SIZE_MB) * 1024);
 
-		printk_spew("tomk is 0x%x\n", tomk);
+		printk_spew("tomk is 0x%lx\n", tomk);
 		/* Compute the Top Of Low Memory, in Kb */
 		tolmk = pci_tolm >> 10;
 		if (tolmk >= tomk) {
Index: svn/src/northbridge/via/vx800/vgabios.c
===================================================================
--- svn.orig/src/northbridge/via/vx800/vgabios.c
+++ svn/src/northbridge/via/vx800/vgabios.c
@@ -338,7 +338,7 @@ void do_vgabios(void)
 		if (buf[0] == 0x55 && buf[1] == 0xAA) {
 			busdevfn =
 			    (dev->bus->secondary << 8) | dev->path.pci.devfn;
-			printk_debug("bus/devfn = %#x\n", busdevfn);
+			printk_debug("bus/devfn = %#lx\n", busdevfn);
 			real_mode_switch_call_vga(busdevfn);
 		} else
 			printk_debug("Failed to copy VGA BIOS to 0xc0000\n");
@@ -518,7 +518,7 @@ int biosint(unsigned long intnumber,
 		     eax, ebx, ecx, edx);
 	printk_debug("biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
 		     ebp, esp, edi, esi);
-	printk_debug("biosint:  ip 0x%x   cs 0x%x  flags 0x%x\n",
+	printk_debug("biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
 		     ip, cs, flags);
 
 	// cases in a good compiler are just as good as your own tables. 
@@ -527,7 +527,7 @@ int biosint(unsigned long intnumber,
 	case 6: case 7: case 8: case 9: case 10:
 	case 11: case 12: case 13: case 14: case 15:
 		// These are not BIOS service, but the CPU-generated exceptions
-		printk_info("biosint: Oops, exception %u\n", intnumber);
+		printk_info("biosint: Oops, exception %lu\n", intnumber);
 		if (esp < 0x1000) {
 			printk_debug("Stack contents: ");
 			while (esp < 0x1000) {
@@ -556,7 +556,7 @@ int biosint(unsigned long intnumber,
 				  &ebx, &edx, &ecx, &eax, &flags);
 		break;
 	default:
-		printk_info("BIOSINT: Unsupport int #0x%x\n", intnumber);
+		printk_info("BIOSINT: Unsupport int #0x%lx\n", intnumber);
 		break;
 	}
 	if (ret)
Index: svn/src/southbridge/amd/rs780/rs780_pcie.c
===================================================================
--- svn.orig/src/southbridge/amd/rs780/rs780_pcie.c
+++ svn/src/southbridge/amd/rs780/rs780_pcie.c
@@ -255,7 +255,7 @@ void rs780_gpp_sb_init(device_t nb_dev, 
 	u32 gfx_gpp_sb_sel;
 	struct southbridge_amd_rs780_config *cfg =
 	    (struct southbridge_amd_rs780_config *)nb_dev->chip_info;
-	printk_debug("gpp_sb_init nb_dev=0x%p, dev=0x%p, port=0x%p\n", nb_dev, dev, port);
+	printk_debug("gpp_sb_init nb_dev=0x%x, dev=0x%x, port=0x%x\n", nb_dev->path.pci.devfn, dev->path.pci.devfn, port);
 
 	gfx_gpp_sb_sel = port >= 4 && port <= 8 ?
 				PCIE_CORE_INDEX_GPPSB :		/* 4,5,6,7,8 */
Index: svn/src/southbridge/broadcom/bcm5785/bcm5785_lpc.c
===================================================================
--- svn.orig/src/southbridge/broadcom/bcm5785/bcm5785_lpc.c
+++ svn/src/southbridge/broadcom/bcm5785/bcm5785_lpc.c
@@ -86,7 +86,7 @@ static void bcm5785_lpc_enable_childrens
 					if(!(res->flags & IORESOURCE_IO)) continue;
 		        	        base = res->base;
                 			end = resource_end(res);
-					printk_debug("bcm5785lpc decode:%s, base=0x%08x, end=0x%08x\r\n",dev_path(child),base, end);
+					printk_debug("bcm5785lpc decode:%s, base=0x%08lx, end=0x%08lx\r\n",dev_path(child),base, end);
 					switch(base) {
 					case 0x60: //KBC
 					case 0x64:
Index: svn/src/southbridge/intel/i82870/p64h2_ioapic.c
===================================================================
--- svn.orig/src/southbridge/intel/i82870/p64h2_ioapic.c
+++ svn/src/southbridge/intel/i82870/p64h2_ioapic.c
@@ -62,7 +62,7 @@ static void p64h2_ioapic_init(device_t d
     pIndexRegister  = (volatile uint32_t*) memoryBase;
     pWindowRegister = (volatile uint32_t*)(memoryBase + 0x10);
 
-    printk_debug("IOAPIC %d at %02x:%02x.%01x  MBAR = %x DataAddr = %x\n",
+    printk_debug("IOAPIC %d at %02x:%02x.%01x  MBAR = %p DataAddr = %p\n",
                  apic_id, dev->bus->secondary, PCI_SLOT(dev->path.pci.devfn), 
                  PCI_FUNC(dev->path.pci.devfn), pIndexRegister, pWindowRegister);
 
Index: svn/src/southbridge/nvidia/mcp55/mcp55_aza.c
===================================================================
--- svn.orig/src/southbridge/nvidia/mcp55/mcp55_aza.c
+++ svn/src/southbridge/nvidia/mcp55/mcp55_aza.c
@@ -230,7 +230,7 @@ static void aza_init(struct device *dev)
 		return;
 
 	base =(uint8_t *) res->base;
-	printk_debug("base = %08x\n", base);
+	printk_debug("base = %p\n", base);
 
 	codec_mask = codec_detect(base);
 
Index: svn/src/southbridge/nvidia/mcp55/mcp55_lpc.c
===================================================================
--- svn.orig/src/southbridge/nvidia/mcp55/mcp55_lpc.c
+++ svn/src/southbridge/nvidia/mcp55/mcp55_lpc.c
@@ -80,7 +80,7 @@ static void enable_hpet(struct device *d
 
 	pci_write_config32(dev,0x44, 0xfed00001);
 	hpet_address=pci_read_config32(dev,0x44)& 0xfffffffe;
-	printk_debug("enabling HPET @0x%x\n", hpet_address);
+	printk_debug("enabling HPET @0x%lx\n", hpet_address);
 }
 
 static void lpc_init(device_t dev)
@@ -224,7 +224,7 @@ static void mcp55_lpc_enable_childrens_r
 					if(!(res->flags & IORESOURCE_IO)) continue;
 					base = res->base;
 					end = resource_end(res);
-					printk_debug("mcp55 lpc decode:%s, base=0x%08x, end=0x%08x\n",dev_path(child),base, end);
+					printk_debug("mcp55 lpc decode:%s, base=0x%08lx, end=0x%08lx\n",dev_path(child),base, end);
 					switch(base) {
 					case 0x3f8: // COM1
 						reg |= (1<<0);	break;
Index: svn/src/southbridge/ricoh/rl5c476/rl5c476.c
===================================================================
--- svn.orig/src/southbridge/ricoh/rl5c476/rl5c476.c
+++ svn/src/southbridge/ricoh/rl5c476/rl5c476.c
@@ -189,7 +189,7 @@ void rl5c476_set_resources(device_t dev)
 		resource = find_resource(dev,1);
 		if( !(resource->flags & IORESOURCE_STORED) ){
 			resource->flags |= IORESOURCE_STORED ;
-			printk_debug("%s 1 ==> %x\n", dev_path(dev), resource->base); 
+			printk_debug("%s 1 ==> %llx\n", dev_path(dev), resource->base);
 			cf_base = resource->base;
 		}
 	}
Index: svn/src/southbridge/sis/sis966/sis966_aza.c
===================================================================
--- svn.orig/src/southbridge/sis/sis966/sis966_aza.c
+++ svn/src/southbridge/sis/sis966/sis966_aza.c
@@ -117,7 +117,7 @@ static int codec_detect(uint8_t *base)
 		return 0;
        }
 
-	 printk_debug("Codec ID = %lx\n", dword);
+	 printk_debug("Codec ID = %x\n", dword);
 
        dword=0x1;
 	return dword;
@@ -293,7 +293,7 @@ static void aza_init(struct device *dev)
 		return;
 
 	base =(uint8_t *) res->base;
-	printk_debug("base = %08x\n", base);
+	printk_debug("base = %p\n", base);
 
 	codec_mask = codec_detect(base);
 
Index: svn/src/southbridge/sis/sis966/sis966_lpc.c
===================================================================
--- svn.orig/src/southbridge/sis/sis966/sis966_lpc.c
+++ svn/src/southbridge/sis/sis966/sis966_lpc.c
@@ -214,7 +214,7 @@ static void sis966_lpc_enable_childrens_
 					if(!(res->flags & IORESOURCE_IO)) continue;
 					base = res->base;
 					end = resource_end(res);
-					printk_debug("sis966 lpc decode:%s, base=0x%08x, end=0x%08x\n",dev_path(child),base, end);
+					printk_debug("sis966 lpc decode:%s, base=0x%08lx, end=0x%08lx\n",dev_path(child),base, end);
 					switch(base) {
 					case 0x3f8: // COM1
 						reg |= (1<<0);	break;
Index: svn/src/southbridge/sis/sis966/sis966_nic.c
===================================================================
--- svn.orig/src/southbridge/sis/sis966/sis966_nic.c
+++ svn/src/southbridge/sis/sis966/sis966_nic.c
@@ -274,7 +274,7 @@ static void nic_init(struct device *dev)
 		return;
 	}
 	base = res->base;
-        printk_debug("NIC base address %lx\n",base);
+        printk_debug("NIC base address %x\n",base);
 
 	if(!(val=phy_detect(base,&PhyAddr)))
 	{
@@ -291,7 +291,7 @@ static void nic_init(struct device *dev)
 
           //	if that is valid we will use that
 
-			printk_debug("EEPROM contents %x \n",ReadEEprom( dev,  base,  0LL));
+			printk_debug("EEPROM contents %lx \n",ReadEEprom( dev,  base,  0LL));
 			for(i=0;i<3;i++) {
 				//status = smbus_read_byte(dev_eeprom, i);
 				ulValue=ReadEEprom( dev,  base,  i+3L);
Index: svn/src/southbridge/sis/sis966/sis966_usb2.c
===================================================================
--- svn.orig/src/southbridge/sis/sis966/sis966_usb2.c
+++ svn/src/southbridge/sis/sis966/sis966_usb2.c
@@ -95,7 +95,7 @@ static void usb2_init(struct device *dev
                 return;
 
         base =(uint8_t *) res->base;
-        printk_debug("base = %08x\n", base);
+        printk_debug("base = %p\n", base);
         write32(base+0x20, 0x2);
 //-----------------------------------------------------------
 
Index: svn/src/superio/via/vt1211/vt1211.c
===================================================================
--- svn.orig/src/superio/via/vt1211/vt1211.c
+++ svn/src/superio/via/vt1211/vt1211.c
@@ -148,7 +148,7 @@ void vt1211_pnp_set_resources(struct dev
 	for(i = 0; i < dev->resources; i++) {
 		resource = &dev->resource[i];
 		if (!(resource->flags & IORESOURCE_ASSIGNED)) {
-			printk_err("ERROR: %s %02x %s size: 0x%010Lx not assigned\n",
+			printk_err("ERROR: %s %02lx %s size: 0x%010Lx not assigned\n",
 				dev_path(dev), dev->resource->index,
 				resource_type(resource),
 				resource->size);
@@ -166,7 +166,7 @@ void vt1211_pnp_set_resources(struct dev
 			pnp_set_irq(dev, resource->index, resource->base);
 		}
 		else {
-			printk_err("ERROR: %s %02x unknown resource type\n",
+			printk_err("ERROR: %s %02lx unknown resource type\n",
 				dev_path(dev), resource->index);
 			return;
 		}
Index: svn/src/mainboard/amd/dbm690t/romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/dbm690t/romstage.c
+++ svn/src/mainboard/amd/dbm690t/romstage.c
@@ -188,7 +188,7 @@ void cache_as_ram_main(unsigned long bis
 	allow_all_aps_stop(bsp_apicid);
 
 	/* It's the time to set ctrl now; */
-	printk_debug("sysinfo->nodes: %2x  sysinfo->ctrl: %2x  spd_addr: %2x\n",
+	printk_debug("sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
 		     sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	sdram_initialize(sysinfo->nodes, sysinfo->ctrl, sysinfo);
Index: svn/src/mainboard/amd/mahogany/romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany/romstage.c
+++ svn/src/mainboard/amd/mahogany/romstage.c
@@ -186,7 +186,7 @@ void cache_as_ram_main(unsigned long bis
 	allow_all_aps_stop(bsp_apicid);
 
 	/* It's the time to set ctrl now; */
-	printk_debug("sysinfo->nodes: %2x  sysinfo->ctrl: %2x  spd_addr: %2x\n",
+	printk_debug("sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
 		     sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	sdram_initialize(sysinfo->nodes, sysinfo->ctrl, sysinfo);
Index: svn/src/mainboard/amd/mahogany_fam10/romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany_fam10/romstage.c
+++ svn/src/mainboard/amd/mahogany_fam10/romstage.c
@@ -184,9 +184,9 @@ void cache_as_ram_main(unsigned long bis
 	// Load MPB
 	val = cpuid_eax(1);
 	printk_debug("BSP Family_Model: %08x \n", val);
-	printk_debug("*sysinfo range: ["); print_debug_hex32((u32)sysinfo); print_debug(","); print_debug_hex32((u32)sysinfo+sizeof(struct sys_info)); print_debug("]\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 	printk_debug("bsp_apicid = %02x \n", bsp_apicid);
-	printk_debug("cpu_init_detectedx = %08x \n", cpu_init_detectedx);
+	printk_debug("cpu_init_detectedx = %08lx \n", cpu_init_detectedx);
 
 	/* Setup sysinfo defaults */
 	set_sysinfo_in_ram(0);
Index: svn/src/mainboard/amd/pistachio/romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/pistachio/romstage.c
+++ svn/src/mainboard/amd/pistachio/romstage.c
@@ -193,7 +193,7 @@ void cache_as_ram_main(unsigned long bis
 	allow_all_aps_stop(bsp_apicid);
 
 	/* It's the time to set ctrl now; */
-	printk_debug("sysinfo->nodes: %2x  sysinfo->ctrl: %2x  spd_addr: %2x\n",
+	printk_debug("sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
 		     sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 
Index: svn/src/mainboard/amd/serengeti_cheetah/romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah/romstage.c
+++ svn/src/mainboard/amd/serengeti_cheetah/romstage.c
@@ -208,7 +208,7 @@ void cache_as_ram_main(unsigned long bis
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
         setup_mb_resource_map();
 #if 0
Index: svn/src/mainboard/amd/serengeti_cheetah_fam10/romstage.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah_fam10/romstage.c
+++ svn/src/mainboard/amd/serengeti_cheetah_fam10/romstage.c
@@ -186,9 +186,9 @@ void cache_as_ram_main(unsigned long bis
 	// Load MPB
 	val = cpuid_eax(1);
 	printk_debug("BSP Family_Model: %08x \n", val);
-	printk_debug("*sysinfo range: ["); print_debug_hex32((u32)sysinfo); print_debug(","); print_debug_hex32((u32)sysinfo+sizeof(struct sys_info)); print_debug("]\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 	printk_debug("bsp_apicid = %02x \n", bsp_apicid);
-	printk_debug("cpu_init_detectedx = %08x \n", cpu_init_detectedx);
+	printk_debug("cpu_init_detectedx = %08lx \n", cpu_init_detectedx);
 
 	/* Setup sysinfo defaults */
 	set_sysinfo_in_ram(0);
Index: svn/src/mainboard/gigabyte/ga_2761gxdk/romstage.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/ga_2761gxdk/romstage.c
+++ svn/src/mainboard/gigabyte/ga_2761gxdk/romstage.c
@@ -218,7 +218,7 @@ void cache_as_ram_main(unsigned long bis
 	early_usbdebug_direct_init();
 #endif
         console_init();
-        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
         print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
 
Index: svn/src/mainboard/gigabyte/m57sli/romstage.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/m57sli/romstage.c
+++ svn/src/mainboard/gigabyte/m57sli/romstage.c
@@ -232,7 +232,7 @@ void cache_as_ram_main(unsigned long bis
 	early_usbdebug_direct_init();
 #endif
         console_init();
-        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
         print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
 
Index: svn/src/mainboard/hp/dl145_g3/romstage.c
===================================================================
--- svn.orig/src/mainboard/hp/dl145_g3/romstage.c
+++ svn/src/mainboard/hp/dl145_g3/romstage.c
@@ -236,7 +236,7 @@ void cache_as_ram_main(unsigned long bis
 	console_init();
 //	setup_early_ipmi_serial();
 	pilot_early_init(SERIAL_DEV); //config port is being taken from SERIAL_DEV
-	print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(","); print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
 	print_debug("bsp_apicid="); print_debug_hex8(bsp_apicid); print_debug("\r\n");
 
Index: svn/src/mainboard/iwill/dk8_htx/romstage.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8_htx/romstage.c
+++ svn/src/mainboard/iwill/dk8_htx/romstage.c
@@ -168,7 +168,7 @@ void cache_as_ram_main(unsigned long bis
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
         setup_mb_resource_map();
 
Index: svn/src/mainboard/iwill/dk8s2/romstage.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8s2/romstage.c
+++ svn/src/mainboard/iwill/dk8s2/romstage.c
@@ -168,7 +168,7 @@ void cache_as_ram_main(unsigned long bis
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
         setup_default_resource_map();
 
Index: svn/src/mainboard/iwill/dk8x/romstage.c
===================================================================
--- svn.orig/src/mainboard/iwill/dk8x/romstage.c
+++ svn/src/mainboard/iwill/dk8x/romstage.c
@@ -167,7 +167,7 @@ void cache_as_ram_main(unsigned long bis
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
 
-        print_debug("*sysinfo range: ["); print_debug_hex32(sysinfo); print_debug(",");  print_debug_hex32((unsigned long)sysinfo+sizeof(struct sys_info)); print_debug(")\r\n");
+	printk_debug("*sysinfo range: [%p,%p]\n",sysinfo,sysinfo+1);
 
         setup_default_resource_map();
 
